#!/bin/sh
usage='usage: $0 <tag>'
name=eclipse-oprofile
tag="v0.8.0"
tar_name=$name-fetched-src-$tag

if [ "x$tag"x = 'xx' ]; then
   echo >&2 "$usage"
   exit 1
fi

rm -fr $tar_name.tar.bz2 

rm -rf org.eclipse.linuxtools
# Clone linuxtools
git clone git://git.eclipse.org/gitroot/linuxtools/org.eclipse.linuxtools.git
pushd org.eclipse.linuxtools > /dev/null
# create archive of oprofile subtree
git archive --format=tar --prefix=$tar_name/ --output ../$tar_name.tar refs/tags/$tag oprofile
popd > /dev/null
# clean-up
rm -rf org.eclipse.linuxtools
# compress
bzip2 $tar_name.tar

exit 0
