%global src_repo_tag   v0.8.0
%global eclipse_base   %{_libdir}/eclipse
%global install_loc    %{_libdir}/eclipse/dropins/oprofile
%global qualifier      201106060936
%global ver_qual       0.3.1.%{qualifier}
%global oprofile_src_dir eclipse-oprofile-fetched-src-%{src_repo_tag}

# Disable building of debuginfo package; this package has no debug info to be
# extracted.
%global debug_package %{nil}

# All arches line up between Eclipse and Linux kernel names except i386 -> x86
%ifarch %{ix86}
%define eclipse_arch    x86
%else
%define eclipse_arch   %{_arch}
%endif

Name:           eclipse-oprofile
Version:        0.8.0
Release:        2%{?dist}
Summary:        Eclipse plugin for OProfile integration

Group:          Development/Tools
License:        EPL
URL:            http://www.eclipse.org/linuxtools/projectPages/oprofile/
## bash %{name}-fetch-src.sh
Source0:        %{name}-fetched-src-%{src_repo_tag}.tar.bz2
Source1:        %{name}-fetch-src.sh

ExcludeArch: ppc64

BuildRequires: eclipse-pde >= 1:3.5.0
BuildRequires: eclipse-cdt >= 6.0.0
BuildRequires: eclipse-linuxprofilingframework >= 0.1.0
Requires: eclipse-platform >= 3.5.0
Requires: eclipse-cdt >= 6.0.0
Requires: eclipse-linuxprofilingframework >= 0.2.0
Requires: oprofile >= 0.9.3
Requires: usermode >= 1.98

%description
Eclipse plugins to integrate OProfile's profiling capabilities with the CDT.

%prep
%setup -q -n %{oprofile_src_dir}

%build
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.linuxtools.oprofile \
				      -d "cdt linuxprofilingframework" \
                                      -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -Dosgi.arch=%{eclipse_arch} -Dconfigs=linux,gtk,%{eclipse_arch}"

%install
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.eclipse.linuxtools.oprofile.zip 

### install.sh stuff ###
%global corepath %{buildroot}%{install_loc}/eclipse/plugins/org.eclipse.linuxtools.oprofile.core_%{ver_qual}

#create opcontrol wrapper
ln -s %{_bindir}/consolehelper \
  %{corepath}/natives/linux/scripts/opcontrol

#install opcontrol wrapper permission files
install -d -m 755 %{buildroot}%{_sysconfdir}/security/console.apps
install -D -m 644 oprofile/org.eclipse.linuxtools.oprofile.core/natives/linux/scripts/opcontrol-wrapper.security \
  %{buildroot}%{_sysconfdir}/security/console.apps/opcontrol
install -d -m 755 %{buildroot}%{_sysconfdir}/pam.d
install -D -m 644 \
  oprofile/org.eclipse.linuxtools.oprofile.core/natives/linux/scripts/opcontrol-wrapper.pamd \
  %{buildroot}%{_sysconfdir}/pam.d/opcontrol

#remove install/uninstall script (used in update site only)
rm -f %{corepath}/natives/linux/scripts/install{,-noconsolehelper}.sh
rm -f %{corepath}/natives/linux/scripts/uninstall{,-noconsolehelper}.sh

%files
%defattr(-,root,root,-)
%{install_loc}
%doc oprofile/org.eclipse.linuxtools.oprofile-feature/epl-v10.html
%{_sysconfdir}/security/console.apps/opcontrol
%{_sysconfdir}/pam.d/opcontrol

%changelog
* Tue Jul 5 2011 Sami Wagiaalla <swagiaal@redhat.com> 0.8.0-2
- Updated the release number.

* Tue Jul 5 2011 Sami Wagiaalla <swagiaal@redhat.com> 0.8.0-1
- Disable building of debuginfo package.

* Sat Jun 25 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.8.0-1
- Fixes RHBZ#716060.
- Rebase to 0.8.0 release (opxml native binaries are now removed).

* Thu Apr 7 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.6.1-4
- Clean up the mess I've just created :(
- Re-add binutils-static BR
- Add oprofile-static BR
- Fixes RHBZ#616493

* Thu Apr 7 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.6.1-3
- Remove oprofile-static BR, since it's not required anymore

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 8 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.6.1-1
- Upstream 0.6.1 release.

* Tue Jul 27 2010 Andrew Overholt <overholt@redhat.com> 0.6.0-2
- Add binutils-static BR (rhbz#616493).

* Fri Jul 16 2010 Andrew Overholt <overholt@redhat.com> 0.6.0-1
- Upstream 0.6.0 release.
- Reflect changes with -static / -devel sub-package naming.

* Mon Mar 22 2010 Alexander Kurtakov <akurtako@redhat.com> 0.5.0-4
- Fix install.

* Mon Mar 22 2010 Alexander Kurtakov <akurtako@redhat.com> 0.5.0-3
- BR binutils-static.

* Mon Mar 22 2010 Alexander Kurtakov <akurtako@redhat.com> 0.5.0-2
- Fix qualifier to match upstream.

* Fri Mar 19 2010 Roland Grunberg <rgrunber@redhat.com> 0.5.0-1
- 0.5.0

* Sat Dec 5 2009 Kent Sebastian <kksebasti@gmail.com> - 0.4.0-1
- 0.4.0 (long overdue)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 18 2009 Alexander Kurtakov <akurtako@redhat.com> 0.2.0-2
- Add -Dconfigs to fix compile.

* Wed May 13 2009 Kent Sebastian <ksebasti@redhat.com> 0.2.0-1
- 0.2.0

* Mon Mar 23 2009 Kent Sebastian <ksebasti@redhat.com> 0.1.0-4
- Rebuild for new pdebuild.

* Wed Mar 4 2009 Kent Sebastian <ksebasti@redhat.com> 0.1.0-3
- Refined patch for gcc build failures.

* Wed Mar 4 2009 Kent Sebastian <ksebasti@redhat.com> 0.1.0-2
- Add patch for gcc build failure.

* Thu Feb 12 2009 Kent Sebastian <ksebasti@redhat.com> 0.1.0-1
- Initial packaging.
